affyVstRma {lumi} | R Documentation

## Preprocess Affymetrix data by integrating VST with RMA method

### Description

Preprocess Affymetrix data by integrating VST with RMA method

### Usage

    affyVstRma(afbatch, bgcorrect.method = "none", bgcorrect.param = list(), VST.param = list(), verbose = TRUE, ...)

### Arguments

`afbatch` | a vector of CEL file names or an AffyBatch object, see `AffyBatch-class`
`bgcorrect.method` | the name of the background adjustment method
`bgcorrect.param` | a list of parameters for bgcorrect.method (if needed/wanted)
`VST.param` | a list of parameters for `vst` method
`verbose` | logical value. If TRUE it writes out some messages.
`...` | other parameters used by `rma` function

### Details

This function basically integrates the VST (variance stabilizing transformation) transformation into the rma function in the affy package. The variance stabilization is based on the mean and variance relations of pixel intensities of each probe.

### Value

Return an object of class ExpressionSet.

### Note

The performance of this function is still under evaluation.

### Author(s)

Pan Du

### See Also

`expresso` and `vst`

[Package lumi version 1.10.2 Index]